loci.plugins.prefs

## Class OptionsDialog

- java.lang.Object
- - loci.plugins.prefs.OptionsDialog

- Direct Known Subclasses:
    ImporterDialog

      public abstract class OptionsDialog
      extends java.lang.Object

  Base class for options dialogs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `IS_GLITCHED` Flag indicating whether to invoke workaround for AWT refresh bug.
    `protected OptionsList` | `optionsList` Options list associated with the dialog.
    `static int` | `STATUS_CANCELED`
    `static int` | `STATUS_FINISHED`
    `static int` | `STATUS_OK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionsDialog(OptionsList optionsList)` Creates a new options dialog with the given associated options.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addCheckbox(ij.gui.GenericDialog gd, java.lang.String key)` Adds a checkbox to the given dialog object corresponding to the boolean option identified by the specified key.
    `protected void` | `addChoice(ij.gui.GenericDialog gd, java.lang.String key)` Adds a choice to the given dialog object corresponding to the string option identified by the specified key.
    `abstract int` | `showDialog()` Displays the options dialog, returning the status of the operation.
    `protected void` | `sleep(long ms)` Blocks the current thread for the specified number of milliseconds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_OK

          public static final int STATUS_OK

      See Also:
        Constant Field Values

    - #### STATUS_CANCELED

          public static final int STATUS_CANCELED

      See Also:
        Constant Field Values

    - #### STATUS_FINISHED

          public static final int STATUS_FINISHED

      See Also:
        Constant Field Values

    - #### IS_GLITCHED

          protected static final boolean IS_GLITCHED

      Flag indicating whether to invoke workaround for AWT refresh bug.

    - #### optionsList

          protected OptionsList optionsList

      Options list associated with the dialog.

  - ### Constructor Detail

    - #### OptionsDialog

          public OptionsDialog(OptionsList optionsList)

      Creates a new options dialog with the given associated options.

  - ### Method Detail

    - #### showDialog

          public abstract int showDialog()

      Displays the options dialog, returning the status of the operation.

    - #### addChoice

          protected void addChoice(ij.gui.GenericDialog gd,
                                   java.lang.String key)

      Adds a choice to the given dialog object corresponding to the string option identified by the specified key.

    - #### addCheckbox

          protected void addCheckbox(ij.gui.GenericDialog gd,
                                     java.lang.String key)

      Adds a checkbox to the given dialog object corresponding to the boolean option identified by the specified key.

    - #### sleep

          protected void sleep(long ms)

      Blocks the current thread for the specified number of milliseconds.

Copyright © 2026 Open Microscopy Environment